Get transactions by height
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/txs/by_height/{height}import requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/txs/by_height/{height}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/txs/by_height/{height}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"txs": [
{
"txhash": "<string>",
"height": "<string>",
"codespace": "<string>",
"code": 123,
"data": "<string>",
"raw_log": "<string>",
"logs": [
{}
],
"info": "<string>",
"gas_wanted": "<string>",
"gas_used": "<string>",
"tx": {},
"timestamp": "<string>",
"events": [
{}
]
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}Transactions
Get transactions by height
Returns all transactions at a given block height.
GET
/
indexer
/
tx
/
v1
/
txs
/
by_height
/
{height}
Get transactions by height
Path Parameters
The block height.
Query Parameters
Message types to filter by (comma-separated).
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I